SimSolution Class

class NXOpen.CAE.SimSolution

Bases: NXOpen.CAE.SimGroupContainer, NXOpen.Report.IReportCollection

Represents a solution in the .

sim files.

For more information, refer to the Solver language documentation in the SolverLanguageDocumentation.

To create a new instance of this class, use NXOpen.CAE.SimSimulation.CreateSolution()

New in version NX4.0.0.

Properties

Property Description
AbstractionType Returns the abstraction type
ActiveStep Returns or sets the active step
AllowedStepTypeCount Returns the count of allowable step types
AnalysisType Returns the analysis type
AttachedLoadRecipe Returns the CAE.SimLoadRecipe attached to this solution.
ConflictingBcCount Returns the number of conflicting BC pairs in this solution
ConflictingConstraintsCount Returns the number of conflicting constraint pairs in this solution
IsConstraintGroupAllowed Returns a value indicating whether a constraint group is allowed for this group container
IsLoadGroupAllowed Returns a value indicating whether a load group is allowed for this group container
IsOccurrence Returns whether this object is an occurrence or not.
IsSimulationObjectGroupAllowed Returns a value indicating whether a simulation object group is allowed for this group container
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
PropertyTable Returns the property table associated with the solution object
Prototype Returns the prototype of this object if it is an occurrence.
ResultReferenceCount Returns the number of Result References
SolutionType Returns the solution type
SolverOptionsPropertyTable Returns the property table associated with the solution’s solver options
SolverType Returns the solver type
StepCount Returns the number of steps
Tag Returns the Tag for this object.

Methods

Method Description
AddBc Add the bc to the solution Only the BC that not under the folder can be added to solution
AddFolder Add the folder to the solution Only the folder not under other folder can be added to solution.
AddPrerequisite Adds a prerequisite to the solution
AddStep Adds a step to the solution
ApplySolverLanguageExportOptions Stores the solver language export options to the specified solution.
CheckAnalysisQuality Check analysis quality on active structural solution
CreateAlignmentBuilder Creates the builder object for test and imported solution alignment dialog
CreateAttributeIterator Create an attribute iterator
CreateConflictResolutionBuilder Creates a conflict resolution builder for this input pair of BCs
CreateConstraintGroup Creates a constraint group for a solution or solution step
CreateConstraintResolutionBuilder Creates a constraint resolution builder for this input pair of constraints
CreateLoadGroup Creates a load group for a solution or solution step
CreateNodalForceReportBuilder Creates the builder to create and edit Nodal Force Report object
CreateReport Creates a Report.Report in this report collection.
CreateResultProbeBuilder Creates the builder to create and edit Result Probe object
CreateSimulationObjectGroup Creates a simulation object group for a solution or solution step
CreateStep Creates a step and add to the solution
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteGroup Deletes a BC group from this group container
DeleteStep Removes a step from the solution
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
DetachLoadRecipe Detach the Load Recipe from this Solution deleting all steps and loads created from the Load Recipe
Find Returns the children of the Solution of the given Identifier
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAllResultProbes Get all result probe in solution
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBcs Gets all the BCs in this solution
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetConflictingBcPairByIndex Returns the nth conflicting BC pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictingBcCount() - 1
GetConflictingConstraintPairByIndex Returns the nth conflicting constraint pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictingConstraintsCount() - 1
GetDisplayNameOfSolutionType Get the display name of solution type
GetDisplayNameOfSolverType Get the display name of solver type
GetFolders Gets all the root folders in this solution
GetGroupCount Returns the number of groups in this container
GetGroups Gets the BC groups in this group container
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetManagedResultFile Get the managed result file name
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetReports Gets all reports in the report collection.
GetResultFile Get the result file directory and result file name
GetResultFileUnits Get basic 6 units which are stored with solution used for loading the result file
GetResultReferenceByIndex Returns the Result Reference at the index passed
GetStepByIndex Returns the step at the index passed
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUnfolderedBcs Gets all the unfoldered BCs in this solution
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
MoveStep Moves step to the specified position
Print Prints a representation of this object to the system log file.
RemoveAllConstraints Remove all constraints from the solution
RemoveAllLoads Remove all loads from the solution
RemoveAllSimulationObjects Remove all simulation objects from the solution
RemoveBc Remove the bc from the solution Only the BC that not under the folder can be remove from solution
RemoveFolder Remove the folder from the solution Only the folder not under other folder can be removed from solution.
RemovePrerequisite Remove a prerequisite to the solution
Rename Rename Solution and optionally rename associated results files
ResolveConstraintConflicts Runs the Assisted Conflict Check Mechanism for all constraints NXOpen.CAE.SimConstraint in an active solution NXOpen.CAE.SimSolution and/or in an active step NXOpen.CAE.SimSolutionStep, generating new constraints NXOpen.CAE.SimConstraint if there is any conflcit between the constraints.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetFemValidInPost Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model
SetInferredResultFile Clear previously specified result file location
SetInferredResultFileUnits Clears previously specified result file units
SetLocalResultFile Specify local result file
SetManagedResultFile Specify managed result file
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetResultFileUnits Set result file units
SetTimeAttribute Creates or modifies a time attribute.
SetTimePropsFromConditionSequence Set the time properties for this solution based on the given condition sequences
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Solve Solves the solution
UpdateFromLoadRecipe Update steps and loads of this solution created from load recipe

Enumerations

SimSolutionSetupCheckOption Enumeration Model Setup Check Options
SimSolutionSolveMode Enumeration Run Mode Options
SimSolutionSolveOption Enumeration Solve Options
SimSolutionStepPosition Enumeration Step creation options

Property Detail

AbstractionType

SimSolution.AbstractionType

Returns the abstraction type

-------------------------------------

Getter Method

Signature AbstractionType

Returns:abstraction type
Return type:NXOpen.CAE.SimSimulationAxisymAbstractionType

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ActiveStep

SimSolution.ActiveStep

Returns or sets the active step

-------------------------------------

Getter Method

Signature ActiveStep

Returns:active step NXOpen.CAE.SimSolutionStep
Return type:NXOpen.CAE.SimSolutionStep

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Setter Method

Signature ActiveStep

Parameters:activeStep (NXOpen.CAE.SimSolutionStep) – active step NXOpen.CAE.SimSolutionStep

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

AllowedStepTypeCount

SimSolution.AllowedStepTypeCount

Returns the count of allowable step types

-------------------------------------

Getter Method

Signature AllowedStepTypeCount

Returns:count of allowable step types
Return type:int

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

AnalysisType

SimSolution.AnalysisType

Returns the analysis type

-------------------------------------

Getter Method

Signature AnalysisType

Returns:analysis_type
Return type:str

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

AttachedLoadRecipe

SimSolution.AttachedLoadRecipe

Returns the CAE.SimLoadRecipe attached to this solution.

-------------------------------------

Getter Method

Signature AttachedLoadRecipe

Returns:
Return type:NXOpen.CAE.SimLoadRecipe

New in version NX12.0.0.

License requirements: None.

ConflictingBcCount

SimSolution.ConflictingBcCount

Returns the number of conflicting BC pairs in this solution

-------------------------------------

Getter Method

Signature ConflictingBcCount

Returns:number of conflicting BCs:py:class:NXOpen.CAE.SimBC
Return type:int

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ConflictingConstraintsCount

SimSolution.ConflictingConstraintsCount

Returns the number of conflicting constraint pairs in this solution

-------------------------------------

Getter Method

Signature ConflictingConstraintsCount

Returns:number of conflicting constraints:py:class:NXOpen.CAE.SimConstraint
Return type:int

New in version NX8.0.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimSolution.ConflictingBcCount() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

IsOccurrence

SimSolution.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

SimSolution.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

SimSolution.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

SimSolution.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

SimSolution.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

PropertyTable

SimSolution.PropertyTable

Returns the property table associated with the solution object

-------------------------------------

Getter Method

Signature PropertyTable

Returns:property table
Return type:NXOpen.CAE.PropertyTable

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Prototype

SimSolution.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

ResultReferenceCount

SimSolution.ResultReferenceCount

Returns the number of Result References

-------------------------------------

Getter Method

Signature ResultReferenceCount

Returns:number of steps NXOpen.CAE.SimResultReference
Return type:int

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SolutionType

SimSolution.SolutionType

Returns the solution type

-------------------------------------

Getter Method

Signature SolutionType

Returns:solution type
Return type:str

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SolverOptionsPropertyTable

SimSolution.SolverOptionsPropertyTable

Returns the property table associated with the solution’s solver options

-------------------------------------

Getter Method

Signature SolverOptionsPropertyTable

Returns:property table
Return type:NXOpen.CAE.PropertyTable

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SolverType

SimSolution.SolverType

Returns the solver type

-------------------------------------

Getter Method

Signature SolverType

Returns:solver_type
Return type:str

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

StepCount

SimSolution.StepCount

Returns the number of steps

-------------------------------------

Getter Method

Signature StepCount

Returns:number of steps NXOpen.CAE.SimSolutionStep
Return type:int

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Method Detail

AddBc

SimSolution.AddBc

Add the bc to the solution Only the BC that not under the folder can be added to solution

Signature AddBc(bc)

Parameters:bc (NXOpen.CAE.SimBC) – the bc to be added

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

AddFolder

SimSolution.AddFolder

Add the folder to the solution Only the folder not under other folder can be added to solution.

Signature AddFolder(folder)

Parameters:folder (NXOpen.CAE.SimLbcFolder) – the folder to be added

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

AddPrerequisite

SimSolution.AddPrerequisite

Adds a prerequisite to the solution

Signature AddPrerequisite(prerequisite)

Parameters:prerequisite (NXOpen.CAE.SimSolution) – prerequisite solution to be added

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

AddStep

SimSolution.AddStep

Adds a step to the solution

Signature AddStep(step)

Parameters:step (NXOpen.CAE.SimSolutionStep) – solution step to be added

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ApplySolverLanguageExportOptions

SimSolution.ApplySolverLanguageExportOptions

Stores the solver language export options to the specified solution.

Signature ApplySolverLanguageExportOptions(propertyList)

Parameters:propertyList (NXOpen.CAE.CaeDataContainer) – the export option parameters. See CAE.CaeSession.GetDataContainer().

New in version NX8.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CheckAnalysisQuality

SimSolution.CheckAnalysisQuality

Check analysis quality on active structural solution

Signature CheckAnalysisQuality()

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateAlignmentBuilder

SimSolution.CreateAlignmentBuilder

Creates the builder object for test and imported solution alignment dialog

Signature CreateAlignmentBuilder()

Returns:
Return type:NXOpen.CAE.CorrelAlignmentBuilder

New in version NX7.5.0.

License requirements: nx_correl_base (“FE Correlation”)

CreateConflictResolutionBuilder

SimSolution.CreateConflictResolutionBuilder

Creates a conflict resolution builder for this input pair of BCs

Signature CreateConflictResolutionBuilder(tStep, tBc1, tBc2)

Parameters:
Returns:

Return type:

NXOpen.CAE.ConflictResolutionBuilder

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateConstraintResolutionBuilder

SimSolution.CreateConstraintResolutionBuilder

Creates a constraint resolution builder for this input pair of constraints

Signature CreateConstraintResolutionBuilder(tStep, tConstraint1, tConstraint2)

Parameters:
Returns:

Return type:

NXOpen.CAE.ConstraintResolutionBuilder

New in version NX8.0.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimSolution.CreateConflictResolutionBuilder() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateNodalForceReportBuilder

SimSolution.CreateNodalForceReportBuilder

Creates the builder to create and edit Nodal Force Report object

Signature CreateNodalForceReportBuilder(nodalForceReport)

Parameters:nodalForceReport (NXOpen.CAE.NodalForceReport) –
Returns:
Return type:NXOpen.CAE.NodalForceReportBuilder

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateReport

SimSolution.CreateReport

Creates a Report.Report in this report collection.

NX will not create a report if the report name is empty or existed.

Signature CreateReport(templateFile, reportName, listError)

Parameters:
  • templateFile (str) – Template file name with full path
  • reportName (str) – Report name
  • listError (bool) – list error information in listing window
Returns:

Return type:

NXOpen.Report.Report

New in version NX11.0.0.

License requirements: nx_design_sim (“NX Design Simulation”)

CreateResultProbeBuilder

SimSolution.CreateResultProbeBuilder

Creates the builder to create and edit Result Probe object

Signature CreateResultProbeBuilder(resultProbe)

Parameters:resultProbe (NXOpen.CAE.ResultProbe) –
Returns:
Return type:NXOpen.CAE.ResultProbeBuilder

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateStep

SimSolution.CreateStep

Overloaded method CreateStep

  • CreateStep(stepType, stepName)
  • CreateStep(stepType, makeActive, stepName)
  • CreateStep(stepType, makeActive, stepName, position, relativeStep)

-------------------------------------

Creates a step and add to the solution

Signature CreateStep(stepType, stepName)

Parameters:
  • stepType (int) – index of the step type
  • stepName (str) – name of the step
Returns:

step NXOpen.CAE.SimSolutionStep to be added

Return type:

NXOpen.CAE.SimSolutionStep

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a step, adds it to the solution and optionally makes it the Active Step. Making it the active step will also make the Solution active if it is not already.

Signature CreateStep(stepType, makeActive, stepName)

Parameters:
  • stepType (int) – index of the step type
  • makeActive (bool) – if true the step will be made the active step
  • stepName (str) – name of the step
Returns:

step NXOpen.CAE.SimSolutionStep to be added

Return type:

NXOpen.CAE.SimSolutionStep

New in version NX8.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Create a step at the specified position, add to the solution and optionally make it active

Signature CreateStep(stepType, makeActive, stepName, position, relativeStep)

Parameters:
  • stepType (int) – index of the step type
  • makeActive (bool) – if true the step will be made the active step
  • stepName (str) – name of the step
  • position (NXOpen.CAE.SimSolutionStepPosition) – relative position
  • relativeStep (NXOpen.CAE.SimSolutionStep) – the step with respect to which the relative position is specified
Returns:

step NXOpen.CAE.SimSolutionStep to be added

Return type:

NXOpen.CAE.SimSolutionStep

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

DeleteStep

SimSolution.DeleteStep

Removes a step from the solution

Signature DeleteStep(step)

Parameters:step (NXOpen.CAE.SimSolutionStep) – step NXOpen.CAE.SimSolutionStep to be added

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

DetachLoadRecipe

SimSolution.DetachLoadRecipe

Detach the Load Recipe from this Solution deleting all steps and loads created from the Load Recipe

Signature DetachLoadRecipe()

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Find

SimSolution.Find

Returns the children of the Solution of the given Identifier

Signature Find(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.TaggedObject

New in version NX10.0.0.

License requirements: None.

FindObject

SimSolution.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetAllResultProbes

SimSolution.GetAllResultProbes

Get all result probe in solution

Signature GetAllResultProbes()

Returns:
Return type:list of NXOpen.CAE.ResultProbe

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetBcs

SimSolution.GetBcs

Gets all the BCs in this solution

Signature GetBcs()

Returns:Resultant bcs
Return type:list of NXOpen.CAE.SimBC

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetConflictingBcPairByIndex

SimSolution.GetConflictingBcPairByIndex

Returns the nth conflicting BC pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictingBcCount() - 1

Signature GetConflictingBcPairByIndex(index)

Parameters:index (int) – index of the conflicting BC pair, which is between 0 and NXOpen.CAE.SimSolution.ConflictingBcCount() - 1
Returns:a tuple
Return type:A tuple consisting of (tBc1, tBc2, ignored)

tBc1 is a NXOpen.CAE.SimBC. BC1 for this conflict pair tBc2 is a NXOpen.CAE.SimBC. BC2 for this conflict pair ignored is a bool. indicates that this conflict pair was previously resolved using the NXOpen.CAE.ConstraintResolutionBuilderRule.IgnoreConflict .. versionadded:: NX10.0.0

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetConflictingConstraintPairByIndex

SimSolution.GetConflictingConstraintPairByIndex

Returns the nth conflicting constraint pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictingConstraintsCount() - 1

Signature GetConflictingConstraintPairByIndex(index)

Parameters:index (int) – index of the conflicting constraint pair, which is between 0 and NXOpen.CAE.SimSolution.ConflictingConstraintsCount() - 1
Returns:a tuple
Return type:A tuple consisting of (tConstraint1, tConstraint2, ignored)

tConstraint1 is a NXOpen.CAE.SimConstraint. constraint1 for this constraint pair tConstraint2 is a NXOpen.CAE.SimConstraint. constraint2 for this constraint pair ignored is a bool. indicates that this conflict pair was previously resolved using the NXOpen.CAE.ConstraintResolutionBuilderRule.IgnoreConflict .. versionadded:: NX8.0.0

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimSolution.GetConflictingBcPairByIndex() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetDisplayNameOfSolutionType

SimSolution.GetDisplayNameOfSolutionType

Get the display name of solution type

Signature GetDisplayNameOfSolutionType()

Returns:The display name of solution type
Return type:str

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetDisplayNameOfSolverType

SimSolution.GetDisplayNameOfSolverType

Get the display name of solver type

Signature GetDisplayNameOfSolverType()

Returns:The display name of solver type
Return type:str

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetFolders

SimSolution.GetFolders

Gets all the root folders in this solution

Signature GetFolders()

Returns:Resultant bcs
Return type:list of NXOpen.CAE.SimLbcFolder

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetManagedResultFile

SimSolution.GetManagedResultFile

Get the managed result file name

Signature GetManagedResultFile()

Returns:managed result file name
Return type:str

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:GetManagedResultFile() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetReports

SimSolution.GetReports

Gets all reports in the report collection.

Signature GetReports()

Returns:
Return type:list of NXOpen.Report.Report

New in version NX11.0.0.

License requirements: nx_design_sim (“NX Design Simulation”)

GetResultFile

SimSolution.GetResultFile

Get the result file directory and result file name

Signature GetResultFile()

Returns:a tuple
Return type:A tuple consisting of (resultfiledir, resfilename) resultfiledir is a str. directly path where result file is stored resfilename is a str. result file name

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:GetResultFile() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetResultFileUnits

SimSolution.GetResultFileUnits

Get basic 6 units which are stored with solution used for loading the result file

Signature GetResultFileUnits()

Returns:6 basic units used to define the quantities in result file in order of mass, length, time, temperature, angle, and thermal energy
Return type:list of NXOpen.Unit

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:GetResultFileUnits() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetResultReferenceByIndex

SimSolution.GetResultReferenceByIndex

Returns the Result Reference at the index passed

Signature GetResultReferenceByIndex(resultIndex)

Parameters:resultIndex (int) – index of the result reference
Returns:step NXOpen.CAE.SimResultReference at the index
Return type:NXOpen.CAE.SimResultReference

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetStepByIndex

SimSolution.GetStepByIndex

Returns the step at the index passed

Signature GetStepByIndex(stepIndex)

Parameters:stepIndex (int) – index of the step
Returns:step NXOpen.CAE.SimSolutionStep at the index
Return type:NXOpen.CAE.SimSolutionStep

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetUnfolderedBcs

SimSolution.GetUnfolderedBcs

Gets all the unfoldered BCs in this solution

Signature GetUnfolderedBcs()

Returns:Resultant bcs
Return type:list of NXOpen.CAE.SimBC

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

MoveStep

SimSolution.MoveStep

Moves step to the specified position

Signature MoveStep(stepToMove, position, relativeStep)

Parameters:

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Print

SimSolution.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

RemoveAllConstraints

SimSolution.RemoveAllConstraints

Remove all constraints from the solution

Signature RemoveAllConstraints()

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

RemoveAllLoads

SimSolution.RemoveAllLoads

Remove all loads from the solution

Signature RemoveAllLoads()

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

RemoveAllSimulationObjects

SimSolution.RemoveAllSimulationObjects

Remove all simulation objects from the solution

Signature RemoveAllSimulationObjects()

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

RemoveBc

SimSolution.RemoveBc

Remove the bc from the solution Only the BC that not under the folder can be remove from solution

Signature RemoveBc(bc)

Parameters:bc (NXOpen.CAE.SimBC) – the bc to be removed

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

RemoveFolder

SimSolution.RemoveFolder

Remove the folder from the solution Only the folder not under other folder can be removed from solution.

Signature RemoveFolder(folder)

Parameters:folder (NXOpen.CAE.SimLbcFolder) – the folder to be removed

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

RemovePrerequisite

SimSolution.RemovePrerequisite

Remove a prerequisite to the solution

Signature RemovePrerequisite(prerequisite)

Parameters:prerequisite (NXOpen.CAE.SimSolution) – prerequisite solution to be removed

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Rename

SimSolution.Rename

Rename Solution and optionally rename associated results files

Signature Rename(name, renameResults)

Parameters:
  • name (str) – new solution name
  • renameResults (bool) – true if you what associated results files to be renamed as well

New in version NX6.0.2.

License requirements: None.

ResolveConstraintConflicts

SimSolution.ResolveConstraintConflicts

Runs the Assisted Conflict Check Mechanism for all constraints NXOpen.CAE.SimConstraint in an active solution NXOpen.CAE.SimSolution and/or in an active step NXOpen.CAE.SimSolutionStep, generating new constraints NXOpen.CAE.SimConstraint if there is any conflcit between the constraints.

Signature ResolveConstraintConflicts()

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetFemValidInPost

SimSolution.SetFemValidInPost

Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model

Signature SetFemValidInPost(valid)

Parameters:valid (bool) – valid or not

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetInferredResultFile

SimSolution.SetInferredResultFile

Clear previously specified result file location

Signature SetInferredResultFile()

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:SetInferredResultFile() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetInferredResultFileUnits

SimSolution.SetInferredResultFileUnits

Clears previously specified result file units

Signature SetInferredResultFileUnits()

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:SetInferredResultFileUnits() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetLocalResultFile

SimSolution.SetLocalResultFile

Specify local result file

Signature SetLocalResultFile(dirpath, filename)

Parameters:
  • dirpath (str) – directory name
  • filename (str) – file name

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:SetLocalResultFile() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetManagedResultFile

SimSolution.SetManagedResultFile

Specify managed result file

Signature SetManagedResultFile(file)

Parameters:file (str) – file name

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:SetManagedResultFile() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetName

SimSolution.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetResultFileUnits

SimSolution.SetResultFileUnits

Set result file units

Signature SetResultFileUnits(units)

Parameters:units (list of NXOpen.Unit) – 6 units for mass, length, time, temperature, angle, and thermal energy

New in version NX8.5.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.SimResultReference:SetResultFileUnits() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetTimePropsFromConditionSequence

SimSolution.SetTimePropsFromConditionSequence

Overloaded method SetTimePropsFromConditionSequence

  • SetTimePropsFromConditionSequence(conditionSeqeunce)
  • SetTimePropsFromConditionSequence(conditionSeqeunce, numSteps)
  • SetTimePropsFromConditionSequence(conditionSeqeunce, stepSize, stepUnit)

-------------------------------------

Set the time properties for this solution based on the given condition sequences

Signature SetTimePropsFromConditionSequence(conditionSeqeunce)

Parameters:conditionSeqeunce (NXOpen.CAE.SimConditionSequence) – populate solution time properties from NXOpen.CAE.SimConditionSequence

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Set the time properties for this solution based on the given condition sequences and number of integration steps

Signature SetTimePropsFromConditionSequence(conditionSeqeunce, numSteps)

Parameters:

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Set the time properties for this solution based on the given condition sequences and integration step size

Signature SetTimePropsFromConditionSequence(conditionSeqeunce, stepSize, stepUnit)

Parameters:

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Solve

SimSolution.Solve

Solves the solution

Signature Solve(solveOption, setupCheckOption)

Parameters:

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

UpdateFromLoadRecipe

SimSolution.UpdateFromLoadRecipe

Update steps and loads of this solution created from load recipe

Signature UpdateFromLoadRecipe()

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)